/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.batchprocess.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.batchprocess.BlancoBatchProcessConstants;
import blanco.batchprocess.resourcebundle.BlancoBatchProcessResourceBundle;

/**
 * プラグインウィザードのページのクラスです。
 * 
 * @author IGA Tosiki
 */
public class BlancoBatchProcessWizardPage2 extends WizardPage {
    private static final BlancoBatchProcessResourceBundle fBundle = new BlancoBatchProcessResourceBundle();

    public BlancoBatchProcessWizardPage2(ISelection selection) {
        super("wizardPage");
        setTitle(BlancoBatchProcessConstants.PRODUCT_NAME + "の紹介");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText(BlancoBatchProcessConstants.PRODUCT_NAME + " は下記のようなツールです。");
        new Label(container, SWT.NONE).setText("  1.ソースコード生成タイプ");
        new Label(container, SWT.NONE).setText("    "
                + fBundle.getMetafileDisplayname()
                + "の記述内容に相当するソースコードを自動生成します。");
        new Label(container, SWT.NONE)
                .setText("    実行時に特定のライブラリ(*.jar)ファイルを必要としません。");
        new Label(container, SWT.NONE).setText("  2.ドキュメント指向");
        new Label(container, SWT.NONE).setText("    "
                + fBundle.getMetafileDisplayname() + "を入力として動作します。");
        new Label(container, SWT.NONE)
                .setText("    ドキュメント指向であるため、ドキュメントとソースコードとの同期を自然に実現することが出来ます。");

        setControl(container);
    }
}